<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * class for import
 * 
 * Copyright-Hinweis:
 * Vorlage des Quellcodes ist das Import-Addon von Sebastian Arndt.
 * siehe: http://www.der-domi.de/board/viewtopic.php?t=11
 * siehe: tools/import-addon_by_sebastian_arndt.tar.gz
 */

class import {
    
    var $importTypes;       // include all possible databases
    var $importDB;          // include the online-database
    var $importID;          // ID which can imported from database
    var $varToImport;       // all variables which can be imported
    
    var $searchResult;
    
    var $url;
    var $buf1;
    var $buf2;
    var $siteBuf;
    var $loadBuf;
    
    
    function import() {
        
        $this->importTypes = array( "OFDB"); // falls IMDB suche und import wieder geht: $this->importTypes = array( "OFDB", "IMDB" );
        //$this->importTypes = array( "IMDB", "OFDB" ); // replace this line with above: set IMDB as default
        if ( array_key_exists( 'importDB', $_GET ) )
            $this->importType = $_GET['importDB'];
        
        $this->searchResult = array();
        $this->varToImport = array();
    }
    
    /*
     * search for a given string in OFDB
     * save all results in array
     */
    function ofdbsearch() {
        
        if ( !strlen($_GET["searchText"]) )
            return -1;
        
        // url to get search result
        $this->url = $this->getLinkToDB( urlencode(utf8_encode($_GET["searchText"])), FALSE, TRUE );
        
        if ( loadFile( $this->url, $this->buf1, "r" ) >= 0 ) {
            
            $this->buf2 = explode( "</i><br><br>1.", $this->buf1 );
            $this->buf1 = $this->buf2[1];
            $this->buf2 = explode( "<br><br><br>", $this->buf1 );

            $this->buf1 = $this->buf2[0];

            $this->buf2 = explode( "<a href=\"film/", $this->buf1 );
		
            for ( $i=0; $i<count($this->buf2) && $i<25; ++$i ) {
                
                $pattern = "#[0-9]*\.\s<a href=\"film/|\"\sonmouseover.*\)\">|<font size=\"1\">\ /\s|</font>\s\(|\)</a>#";
                $this->buf1 = preg_split ($pattern, trim ($this->buf2[$i]), -1, PREG_SPLIT_NO_EMPTY );
                
              
                $this->searchResult[$i] = array();
                $this->searchResult[$i]['title'] =  utf8_decode( $this->buf1[1] );
                $this->searchResult[$i]['id'] =  utf8_decode ( $this->buf1[0] );
                $this->searchResult[$i]['year'] =  $this->buf1[3];
                
                if ( $this->buf1[2] != $this->buf1[1] )
                    $this->searchResult[$i]['alt'] =  utf8_decode ( $this->buf1[2] );
                else
                    $this->searchResult[$i]['alt'] =  "";
            }
            array_shift($this->searchResult);
            //print_r($this->searchResult); 
        }
    }
    
    /*
     * search for a given string in IMDB
     * save all results in array
     */
  function imdbsearch() {
        
        if ( !strlen($_GET["searchText"]) )
            return -1;
        
        // url to get search result
        $this->url = $this->getLinkToDB( urlencode(utf8_encode($_GET["searchText"])), FALSE, TRUE );
        
        if ( loadFile( $this->url, $this->buf1, "r" ) >= 0 ) {
            
            $this->buf2 = explode( "<br>1.</td>", $this->buf1 );
            $this->buf1 = $this->buf2[1];
            $this->buf2 = explode( "</em> </td></tr><tr>", $this->buf1 );

            $this->buf1 = $this->buf2[0];

            $this->buf2 = explode( "<a href=\"/title/", $this->buf1 );
	                                	
            for ( $i=0; $i<count($this->buf2) && $i<25; ++$i ) {
                
                // $pattern = "/<a href="\/title\/tt\d{1,8}\/" onclick="set_args(\'(.+)\',\d{1,3},\d\)">([^<]+)<\/a>/";
                $this->buf1 = preg_split ('/<a href="\/title\/tt\d{1,8}\/" onclick="set_args\(\'(.+)\',\d{1,3},\d\)">([^<]+)<\/a>/', trim ($this->buf2[$i]), -1, PREG_SPLIT_NO_EMPTY );
                
              
                $this->searchResult[$i] = array();
                $this->searchResult[$i]['title'] =  utf8_decode( $this->buf1[1] );
                $this->searchResult[$i]['id'] =  utf8_decode ( $this->buf1[0] );
                $this->searchResult[$i]['year'] =  $this->buf1[3];
                
                if ( $this->buf1[2] != $this->buf1[1] )
                    $this->searchResult[$i]['alt'] =  utf8_decode ( $this->buf1[2] );
                else
                    $this->searchResult[$i]['alt'] =  "";
            }
            array_shift($this->searchResult);
            //print_r($this->searchResult); 
        }
}
    
    function ofdbimport() {
        
        if ( !strlen($_GET["importID"]) )
            return -1;
        
        $this->importID = $_GET['importID'];
        
        // url to get search result
        $this->url = ret_entities( $this->getLinkToDB( $this->importID ) );
        
        if ( loadFile( $this->url, $this->siteBuf, "r" ) >= 0 ) {
            
            // Titel
            $search = "<h2><font face=\"Arial,Helvetica,sans-serif\" size=\"3\"><b>";
            $this->buf1 = explode( $search, $this->siteBuf );
            $this->buf2 = explode( '</b></font></h2></td>', $this->buf1[1] );
            $this->varToImport['title'] = htmlentities( utf8_decode( $this->buf2[0] ) );
            
            // url
            $this->varToImport['url'] = htmlentities( $this->url );
            
            // Originaltitel
            $search = '<td width="99%"><font face="Arial,Helvetica,sans-serif" size="2" class="Daten"><b>';
            $this->buf1 = explode( $search, $this->siteBuf );
            $this->buf2 = explode( '</b></font></td>', $this->buf1[1] );
            $this->varToImport['original_title'] = htmlentities( utf8_decode ($this->buf2[0] ) );
            
            // Land
            $search = '<a href="view.php?page=blaettern&Kat=Land&Text=';
            $this->buf1 = explode( $search, $this->siteBuf );
            $this->varToImport['land'] = array();
            for ( $i=1; $i<count($this->buf1); ++$i ) {
                
                $this->buf2 = explode( '"', $this->buf1[$i] );
	        $this->varToImport['land'][$i-1] = htmlentities( utf8_decode (urldecode ($this->buf2[0] ) ) );
            }
            
            // Jahr
            $search = '<a href="view.php?page=blaettern&Kat=Jahr&Text=';
            $this->buf1 = explode( $search, $this->siteBuf );
            $this->buf2 = explode( '"', $this->buf1[1] );
            $this->varToImport['year'] = $this->buf2[0];
            
            // Genres
            $search = '<a href="view.php?page=genre&Genre=';
            $this->buf1 = explode( $search, $this->siteBuf );
            $this->varToImport['genres'] = array();
            for ( $i=1; $i<count($this->buf1); ++$i ) {
                
                $this->buf2 = explode( '"', $this->buf1[$i] );
                $this->varToImport['genres'][$i-1] = htmlentities( utf8_decode (urldecode( $this->buf2[0] ) ) );
            }
            
            // Cover
	    	$search = 'http://img.ofdb.de/film/';
            $this->buf1 = explode( $search, $this->siteBuf );
            $this->buf2 = explode( '"', $this->buf1[1] );
            if ( $this->buf2[0] != "na.gif" )
                $this->varToImport['cover'] = "http://img.ofdb.de/film/".$this->buf2[0];
            
            // Versionen (Fassungen)
            $search = '<a href="view.php?page=fassung&fid='.substr($this->importID,0,strpos($this->importID,',')).'&vid=';
            $this->buf1 = explode( $search, $this->siteBuf );
            $this->varToImport['versions'] = array();
            for ( $i=1; $i<count($this->buf1); ++$i ) {
                
                $this->buf2 = explode( '">', $this->buf1[$i] );
                $this->varToImport['versions'][$i-1] = array();
                $this->varToImport['versions'][$i-1]['link'] = "http://www.ofdb.de/view.php?page=fassung&amp;fid=".substr($this->importID,0,strpos($this->importID,','))."&amp;vid=".$this->buf2[0];
                
                $this->buf2 = explode( '</a></b>', $this->buf2[1] );
                $this->varToImport['versions'][$i-1]['name'] = htmlentities( utf8_decode (urldecode( $this->buf2[0] ) ) );
            }
            
            // FSK
      			$search = "Freigabe: ";
      			// ..."DVD: 20th Century Fox (Best of Fox), Freigabe: FSK 16","55,98 EUR"
                  $this->buf1 = explode( $search, $this->siteBuf );
                  $this->buf2 = explode( '"', $this->buf1[1] );
                  list ($textFsk, $fsk, $rest) = explode( ' ', $this->buf2[0] );
      			//echo "--- FSK: $textFsk=$fsk<br>";
      			if ($textFsk == "FSK")
      			{
      				if ($fsk == "o.A.")
      					$this->varToImport['fsk'] = "0";
      				else if (is_numeric ($fsk))
      					$this->varToImport['fsk'] = $fsk;
      				else 
      					$this->varToImport['fsk'] = "";		// error!
      			}
      			else	// FSK unbekannt
      				$this->varToImport['fsk'] = "";
            
            // Inhalt
            $search = '<a href="plot/';
            $this->buf1 = explode( $search, $this->siteBuf );
            $this->buf2 = explode( '">', $this->buf1[1] );
            //http://www.ofdb.de/plot/22784,29083,Stargate-Kommando-SG-1
            $this->url = "http://www.ofdb.de/plot/".$this->buf2[0];
            if ( $this->buf2[0] && loadFile( $this->url, $this->loadBuf, "r" ) >= 0 ) {

                $search = '</b><br><br>';
                $this->buf1 = explode( $search, $this->loadBuf );
                $this->buf2 = explode( '</font></p>', $this->buf1[1] );
                $this->varToImport['inhalt'] = utf8_decode($this->buf2[0]);
            }
            
            
            // url to get search result (CAST)
            $this->url = "http://www.ofdb.de/view.php?page=film_detail&fid=$this->importID";
            
            if ( loadFile( $this->url, $this->loadBuf, "r" ) >= 0 )
            {
                // Schauspieler
                $search = "<b><i>Darsteller</i></b>";
                $this->buf1 = explode( $search, $this->loadBuf );
                $this->buf2 = explode( "</table>", $this->buf1[1] );
                $search = "<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\">";
                $this->buf1 = explode( $search, $this->buf2[0] );
                
                $search = "<tr valign=\"middle\">";
                $this->buf2 = explode( $search, $this->buf1[1] );
                for ( $i=1; $i<count($this->buf2); ++$i )
                {
                    $this->buf1 = explode( "&nbsp;&nbsp;", strip_tags( $this->buf2[$i] ) );
                    $this->varToImport['actors'][$i-1] =  htmlentities( utf8_decode ( trim( $this->buf1[1] ) ) ) ;
                    
                    /* *** get moviename from actor ***
                    $this->buf1 = htmlentities( trim( $this->buf1[2] ) );
                    $this->buf1 = str_replace( "... ", "", $this->buf1 );
                    $this->varToImport['actors_alias'][$i-1] = $this->buf1;
                    */
                }
                
                // Regisseure
                $search = "<b><i>Regie</i></b>";
                $this->buf1 = explode( $search, $this->loadBuf );
                $this->buf2 = explode( "</table>", $this->buf1[1] );
                $search = "<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\">";
                $this->buf1 = explode( $search, $this->buf2[0] );
                
                $search = "<tr valign=\"middle\">";
                $this->buf2 = explode( $search, $this->buf1[1] );
                for ( $i=1; $i<count($this->buf2); ++$i )
                {
                    $this->buf1 = explode( "&nbsp;&nbsp;", strip_tags( $this->buf2[$i] ) );
                    $this->varToImport['regisseure'][$i-1] = htmlentities( utf8_decode ( trim( $this->buf1[1] ) ) );
                    
                    /* *** get informations from regie ***
                    $this->buf1 = htmlentities( trim( $this->buf1[2] ) );
                    $this->buf1 = str_replace( "... ", "", $this->buf1 );
                    $this->varToImport['regisseure_alias'][$i-1] = $this->buf1;
                    */
                }
            }
        }
    }
    
    function imdbimport() {
        
        if ( !strlen($_GET["importID"]) )
            return -1;
        
        $this->importID = $_GET['importID'];
        
        // url to get search result
        $this->url = ret_entities( $this->getLinkToDB( $this->importID ) );
        
        if ( loadFile( $this->url, $this->siteBuf, "r" ) >= 0 ) {
            
            // Titel
            $search = "<h1>";
            $this->buf1 = explode( $search, $this->siteBuf );
            $this->buf2 = explode( ' <span>', $this->buf1[1] );
            $this->varToImport['title'] = $this->buf2[0];
            
            // url
            $this->varToImport['url'] = $this->url;

            // Originaltitel
            $search = "<h5>Auch bekannt als:</h5> \n'";
            $this->buf1 = explode( $search, $this->siteBuf );
            $this->buf2 = explode( '"&nbsp;- USA <em>(Originaltitel)', $this->buf1[1] );
            $this->varToImport['original_title'] = htmlentities( utf8_decode ($this->buf2[0] ) );

            
            // Jahr
            $search = "<a href=\"/Sections/Years/";
            $this->buf1 = explode( $search, $this->siteBuf );
            $this->buf2 = explode( '"', $this->buf1[1] );
            $this->varToImport['year'] = $this->buf2[0];
            
            // Land
            $search = '<h5>Produktionsland:</h5>';
            $this->buf1 = explode( $search, $this->siteBuf );
            $this->buf2 = explode( '</div>', $this->buf1[1] );
            $search = '/">';
            $this->buf1 = explode( $search, $this->buf2[0] );
            $this->varToImport['land'] = array();
            for ( $i=1; $i<count($this->buf1); ++$i )
            {
                $this->buf2 = explode( '</a>', $this->buf1[$i] );
                $this->varToImport['land'][$i-1] = urldecode( $this->buf2[0] );
            }
            
            // Laufzeit
            $search = "<h5>L&auml;nge:</h5>\n";
            $this->buf1 = explode( $search, $this->siteBuf );
            $this->buf2 = explode( ' min', $this->buf1[1] );
            $this->varToImport['laufzeit'] = $this->buf2[0];
            
            // FSK
            $search = "Germany:";
            $this->buf1 = explode( $search, $this->siteBuf );
            $this->buf2 = explode( '&', $this->buf1[1] );
            $this->varToImport['fsk'] = $this->buf2[0];
            
            // Cover
            $search = '<div class="photo">';
            $this->buf1 = explode( $search, $this->siteBuf );
            $this->buf2 = explode( '</div>', $this->buf1[1] );
            $search = 'src="';
            $this->buf1 = explode( $search, $this->buf2[0] );
            $this->varToImport['cover'] = array();
            for ( $i=1; $i<count($this->buf1); ++$i )
            {
                $this->buf2 = explode( '" />', $this->buf1[$i] );
                $this->varToImport['cover'][$i-1] = urldecode( $this->buf2[0] );
            }
            
            // Genres
            $search = '<a href="/Sections/Genres/';
            $this->buf1 = explode( $search, $this->siteBuf );
            $this->varToImport['genres'] = array();
            for ( $i=1; $i<count($this->buf1); ++$i ) {
                
                $this->buf2 = explode( '/"', $this->buf1[$i] );
                $this->varToImport['genres'][$i-1] = urldecode( $this->buf2[0] );
            }
            
            // Regisseure
            $search = '<div class="info">';
            $this->buf1 = explode( $search, $this->siteBuf );
            $this->buf2 = explode( '</div>', $this->buf1[1] );
            $search = '/">';
            $this->buf1 = explode( $search, $this->buf2[0] );
            $this->varToImport['regisseure'] = array();
            for ( $i=1; $i<count($this->buf1); ++$i )
            {
                $this->buf2 = explode( '</a>', $this->buf1[$i] );
                $this->varToImport['regisseure'][$i-1] = urldecode( $this->buf2[0] );
            }

            $tmpBuf = $this->siteBuf;
            // get position of </td></tr>
            $needle = '<table class="cast">';
            $pos = strpos($tmpBuf, $needle);
            // delete $needle and follow string
            $tmpBuf = substr( $tmpBuf, $pos );
            $needle = '</table>';
            $pos = strpos($tmpBuf, $needle);
            // delete $needle and follow string
            $tmpBuf = substr( $tmpBuf, 0, $pos );
            
	    // Actors
	    $pattern = '<a href="\/name\/nm[0-9]+\/">|' .
            '<\/a><\/td><td class="ddd">';
            $pattern = "/" . $pattern . "/";
            $string_array = preg_split( $pattern, trim($tmpBuf), -1, PREG_SPLIT_NO_EMPTY );
            
            for ( $i=1; $i<count($string_array)-1; $i=$i+2 )
            {
                $this->varToImport['actors'][] = $string_array[$i];
            }

            
            // Inhalt
            $this->url = $this->url . "plotsummary";
            if ( loadFile( $this->url, $this->siteBuf, "r" ) >= 0 )
            {
                
                $search = '<p class="plotpar">';
                $this->buf1 = explode( $search, $this->siteBuf );
                $this->varToImport['inhalt'] = "";
                for ( $i=1; $i<count($this->buf1); ++$i ) 
                {
                    $this->buf2 = explode( '</p>', $this->buf1[$i] );
                    if ( !substr_count( $this->buf2[0], "http://ia.imdb.com/media/imdb/" ) )
                        $this->buf2[0] = strip_tags($this->buf2[0],'');
                        $this->varToImport['inhalt'] = htmlentities( urldecode( $this->buf2[0] ) );
                }
            }
        }
    }
    
    
    function getData( $data )
    {
        if ( array_key_exists( $data, $this->varToImport ) )
        {
            if ( !is_array( $this->varToImport[$data] ) )
                return $this->varToImport[$data];
            
            $ret = "";
            
            for ( $i=0; $i<count($this->varToImport[$data]); $i++ )
            {
                if ( $i != 0 )
                    $ret .= ", ";
                
                if ( $data != "versions" )
                    $ret .= trim( $this->varToImport[$data][$i] );
                else
                    $ret .= "<a href=\"{$this->varToImport[$data][$i]['link']}\">{$this->varToImport[$data][$i]['name']}</a>";
            }
            return $ret;
        }
        else
            return "";
    }
    
    
    function printSearchResult(&$myVar) {
    	
        $var = $myVar->getRequest(""); 
        
        echo "<ul style=\"list-style-image: url(./img/list.gif); margin: 0em; padding: 0.8em 0 0 2em; vertical-align: top; font-family:Tahoma; font-size:0.82em;\">";
        for ( $i=0; $i<count($this->searchResult); ++$i ) {
            
            echo "<li>";
            $link = $_SERVER['PHP_SELF']."?".$var . "importDB=$this->importType&amp;importID={$this->searchResult[$i]['id']}";
            echo "(" . $this->searchResult[$i]['year']. ") <a href=\"$link\"><u>" .$this->searchResult[$i]['title'] . "</u></a>";
            
            if ( strlen($this->searchResult[$i]['alt']) )
                echo " (alternativ: ".$this->searchResult[$i]['alt'].")";
            
            echo $this->getLinkToDB( $this->searchResult[$i]['id'], TRUE );
            echo "</li>";
        }
        echo "</ul>";
    }
    
    
    function getLinkToDB( $id, $asHyperref=FALSE, $search=FALSE )
    {
        if ( FALSE==$search )
        {
            if ( $this->importTypes[$this->importType] == "OFDB" )
                $link = "http://www.ofdb.de/view.php?page=film&amp;fid=$id";
            else
                $link = "http://german.imdb.com/title/$id/";
        }
        else // get link to search
        {
            if ( $this->importTypes[$this->importType] == "OFDB" )
                $link = "http://www.ofdb.de/view.php?page=suchergebnis&SText=" . $id . "&Kat=Titel";
            else
                $link = "http://german.imdb.com/find?q=" . $id . ";s=tt";
        }
        
        if ( TRUE==$asHyperref )
        {
            $link = " <a href=\"$link\">(";
            $link .= $this->importTypes[$this->importType] .": $id";
            $link .= ")</a>";
        }
        
        return $link;
    }
    
    
    function printImportID( &$myVar )
    {
        $var = array();
        $var = $myVar->getRequest($var,TRUE); 
        
        echo "<form style=\"display: inline;\" method=\"get\" name=\"importID\" action=\"{$_SERVER['PHP_SELF']}\">";
        echo $var;
        echo "<table>";
        echo "<tr>";
        echo "<td style=\"vertical-align:top;\">";
        echo "<select style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; width: 100px; background-color: #FFFFFF;\" name=\"importDB\">";
        for ( $i=0; $i<count($this->importTypes); ++$i ) {
            echo "<option value=\"$i\" ";
            if ( array_key_exists("importDB", $_GET) && $_GET['importDB'] == $i )
            echo "selected=\"selected\"";
            echo ">{$this->importTypes[$i]}</option>";
        }
        echo "</select>";
        echo "</td>";   
        echo "<td style=\"vertical-align:top;\">";       
        echo "<input type=\"text\" style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; width: 100px; background-color: #FFFFFF;\" name=\"importID\" value=\"";
        if ( array_key_exists("importID", $_GET) )
            echo $_GET['importID'];
        echo "\" />";
        echo "</td>";
        echo "<td style=\"vertical-align:middle;\">";
        echo "<input type=\"image\" style=\"display: block;\"  src=\"./img/import.gif\" name=\"sent\" value=\"\" />";
        echo "</td>";
        echo "<td style=\"vertical-align:botton; padding: 0px 0px 0px 10px;\">";
        echo "<span onmouseover=\"toolTip(' &lt;table align=\'left\' width=\'100%\'>&lt;tr&gt;&lt;td width=\'50%\'&gt;&lt;u&gt;OFDB Import&lt;/u&gt;&lt;br/&gt;&lt;ul&gt;&lt;li&gt;ID, Film aus der Adressleiste&lt;/li&gt;&lt;li&gt;Beispiel von Titanic:&lt;br&gt;227,Titanic&lt;/li&gt;&lt;/ul&gt;&lt;/td&gt;&lt;td width=\'50%\'&gt;&lt;u&gt;IMDB Import (deaktiviert!)&lt;/u&gt;&lt;br/&gt;&lt;ul&gt;&lt;li&gt;einfach die ID des Films&lt;/li&gt;&lt;li&gt;Beispiel von Titanic:&lt;br&gt;tt0120338&lt;/li&gt;&lt;/ul&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt; ')\"  onmouseout=\"toolTip()\" ><img src=\"./img/hilfe.gif\" style=\"display: block;\" alt=\"Hilfe\" /></span> ";
        echo "</td>";
        echo "</tr>";
        echo "</table>";
        echo "</form>";
    }
    
    function printSearch( &$myVar )
    {
        $var = array();
        $var = $myVar->getRequest($var,TRUE); 
        
        echo "<form style=\"display: inline;\" method=\"get\" name=\"search\" action=\"{$_SERVER['PHP_SELF']}\">";
        echo $var;
        echo "<table>";
        echo "<tr>";
        echo "<td style=\"vertical-align:top;\">";
        echo "<select style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; width: 100px; background-color: #FFFFFF;\" name=\"importDB\">";
        for ( $i=0; $i<count($this->importTypes); ++$i ) {
            echo "<option value=\"$i\" ";
            if ( array_key_exists("importDB", $_GET) && $_GET['importDB'] == $i )
            echo "selected=\"selected\"";
            echo ">{$this->importTypes[$i]}</option>";
        }
        echo "</select>";
        echo "</td>";
        echo "<td style=\"vertical-align:top;\">";        
        echo "<input type=\"text\" style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; width: 100px; background-color: #FFFFFF;\" name=\"searchText\" value=\"";
        if ( array_key_exists("searchText", $_GET) )
            echo $_GET['searchText'];
        echo "\" />";
        echo "</td>";
        echo "<td style=\"vertical-align:middle;\">";
        echo "<input type=\"image\"  style=\"display: block;\"  src=\"./img/suchen.gif\" name=\"sent\" value=\"\" />";
        echo "</td>";
        echo "<td style=\"vertical-align:botton; padding: 0px 0px 0px 10px;\">";
        echo "<span onmouseover=\"toolTip(' &lt;table align=\'left\' width=\'100%\'>&lt;tr&gt;&lt;td width=\'50%\'&gt;&lt;u&gt;OFDB Suche&lt;/u&gt;&lt;br/&gt;&lt;ul&gt;&lt;li&gt;komplett in deutsch&lt;/li&gt;&lt;li&gt;Anzeige von Versionen&lt;br&gt;und Fassungen (DVDs, Videos, Kino)&lt;/li&gt;&lt;li&gt;genauer Suchbegriff erforderlich&lt;/li&gt;&lt;/ul&gt;&lt;/td&gt;&lt;td width=\'50%\'&gt;&lt;u&gt;IMDB Suche (deaktiviert!)&lt;/u&gt;&lt;br/&gt;&lt;ul&gt;&lt;li&gt;noch in englisch&lt;/li&gt;&lt;li&gt;FSK und Laufzeit werden automatisch importiert&lt;/li&gt;&lt;li&gt;kein genauer Suchbegriff erforderlich&lt;/li&gt;&lt;br/&gt;&lt;/ul&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt; ')\"  onmouseout=\"toolTip()\" ><img src=\"./img/hilfe.gif\" style=\"display: block;\" alt=\"Hilfe\" /></span> ";
        echo "</td>";
        echo "</tr>";
        echo "</table>";
        echo "</form>";
    }
    

    function isGenre( $genre )
    {
        $ret = FALSE;
        
        if ( is_array($this->varToImport['genres']) )
        {
            if ( in_array( $genre, $this->varToImport['genres'] ) )
                $ret = TRUE;
        }
        
        return $ret;
    }

    function loadFile( $url, &$buf )
    {
    	$buf = "";
        
        require_once('./classes/class.HttpRequest.php');
        $request = new HTTPRequest($url);
        $buf = $request->DownloadToString();
        
        return strlen($buf);
    }
}


?>
